Subject: Re: [PATCH (GIT-GUI) 1/8] git-gui: Don't allow staging files with conflicts.

From: Johannes Sixt <[email-masked]>
Date: Mon, 08 Sep 2008 14:10:06 +0200

Alexander Gavrilov schrieb:
> Prevent staging files with conflict markers by clicking
> on the icon in the 'Unstaged Changes' list. Instead, pretend
> that the user clicked the name, and show the diff.
> 
> Originally it made some sense to allow staging conflicting
> files, because git-gui did not provide any tools to resolve
> them from within the GUI. But now that I'm adding mergetool
> capabilities, it is more likely to cause accidental and
> non-undoable errors.

I know I'm a bit late... I just got the first impression of the
consequences of this patch. And I don't like them.

I did a merge with conflicts, and the result was resolved to my liking by
rerere. (And even if rerere did not kick in - I'd have resolved the
conflicts in an external editor anyway.) Now I want to stage the file -
but I can't. :-(

No, I can't "Run merge tool", because I don't have one.
No, I don't want to "Use remote version" or "Use local version" or "Revert
to base".
Yes, I want to stage the file _as_is_!!

Please help.

-- Hannes